wpantund(1)

NAME
wpantund - interface to 6LoWPAN communication

SYNOPSIS
wpantund [OPTIONS]

DESCRIPTION
wpantund is a userspace driver which uses the Linux TUN driver (or the UTUN driver on OS X) to present a network interface for 6LoWPAN communication. It communicates with the NCP via a socket, which can be any of the following:

- a TCP socket

- a serial port

- stdin and stdout from a subprocess

OPTIONS

-h, --help
    Print help.

-v, --version
    Print version.

-d, --debug LEVEL
    Enable debugging mode (see DEBUGGING below).

-c, --config FILE
    Specify config file (default /etc/wpantund.conf).

-s, --socket FILE
    Specify socket file; same as -o NCPSocketName.

-b, --baudrate FILE
    Specify baudrate; same as -o NCPSocketBaud.

-I, --interface FILE
    Specify network interface; same as -o WPANInterfaceName.

-o, --option WPAN_OPTIONS
    Overwrites config file options.

      -- NCPSocketName FILE
         Specify socket location (e.g. /dev/ttyUSB0).

      -- WPANInterfaceName INTERFACE
         Specify the name of the created network interface (e.g. wpan0).

      -- SyslogMask MASK
         To add more logs, start wpantund with SyslogMask all.

      -- PIDFile FILE
         Specify location of the file with the wpan-tunnel-daemon PID.

      -- NCPReliabilityLayer
         Specify a serial reliability layer, libsoot or none.

      -- NCPSocketBaud

DEBUGGING

EXAMPLES

$ sudo wpantund -o NCPSocketName /dev/ttyUSB0 -o WPANInterfaceName wpan0
    Starts wpantund on /dev/ttyUSB0 and create network intarfeca called wpan0.

FILES

/etc/wpantund.conf
    The default wpantund configuration file.

SEE ALSO
wpanctl(1)

BUGS
Bug tracker:

    http://...